Questions about the GTK+ graphical user interface toolkit. The Gnome desktop uses GTK+.

learn more… | top users | synonyms

3
votes
1answer
291 views

Why only three themes are available in Ubuntu 15.10

I am using Ubuntu 15.10 desktop version. In system Appearance setting I can see three themes installed viz. Ambiance, Radiance, and High Contrast. While under /usr/share/themes directory, I can see ...
0
votes
0answers
30 views

Gray borders formed when using Gnome apps outside of Gnome 3.x

Hello everyone reading this question. This problem is really annoying to me and to everyone else who is using other Desktop Environments like LXDE, XFCE, ... because this is really ugly and takes up ...
1
vote
0answers
255 views

GTK3 and GTK2 tooltip background color difference

I changed the tool tip background color setting in my current theme Ambiance for gtk-2 and gtk-3.0. Even though I used the same color code #f5f5c5 the tool tip background color in eclipse and ...
0
votes
0answers
120 views

Critical failure on a clean 14.04.3 while using `gedit`

On a clean installation of 14.04.3 plus more than 300MB of updates to 2016 January 2 is the following file: brian@dell:~/Documents$ ls -lat SystemRestorationNotes.txt -rw-rw-r-- 1 brian brian ...
0
votes
1answer
26 views

How to prevent graphical applications from being started with sudo

I am persuaded that I should never use sudo to start a graphical application. How can I prevent it from ever happening? Getting more sleep might be the correct solution but I want a better one.
0
votes
0answers
35 views

Ugly looking window after dist-upgrade

I was trying to install the gnome-builderfor coding and programming. At first, I tried to build it from the source, but it gave me errors like require gtk+-3.0 >= 3.18.6 while my version is like ...
0
votes
0answers
60 views

Ubuntu Gnome shell theme destroys system

I am running Ubuntu Gnome 15.10 Okay, so apparently, my system doesn't boot anymore. It just shows a bunch of messages in text (Stopping user manager for UID 1000 and Removing slice from user ...
3
votes
0answers
64 views

Transparent backgrounds are black with GTK+

GTK+ was giving me a few issues with large black borders around some windows, I created a CSS file to modify this to remove the box shadow around the window and the border. There is still a tiny but ...
1
vote
1answer
51 views

What is the difference between libgtk2.0 and libgtk2.0-0 when using apt-get?

It seems like for gnu-smalltalk, I will need libgtk2.0... but for some reason, it is not automatically installed when I used sudo apt-get install gnu-smalltalk (1) Is that a bug? (2) When I ...
0
votes
2answers
174 views

Can't install Project Prey on Ubuntu 14.04

When trying to install Project Prey 1.4.2 on Ubuntu 14.04 I get the following error: (gksu:4076): Gtk-WARNING **: cannot open display: :0.0. Prey unfortunately doesn't have a forum to ask for help so ...
1
vote
1answer
47 views

GTK theme, Window theme, and icon theme for Guest Account

Hi I want to change only the gtk, window and icon theme for my guest account. I looked at the CustomizeGuestSession guide but the first section I did not understand how to apply it to my need and the ...
0
votes
0answers
74 views

Borders of windows panels gone, after customizing gtk(Numix) theme

so I have been trying to customize the colors of of a gtk theme to my taste, but after I tweaked the files and set the colors to my taste, the 1 px white border of the windows panels gets removed. I ...
0
votes
1answer
82 views

Run Unreal tournament on ubuntu 15

this guide https://help.ubuntu.com/community/Games/Native/UnrealTournament seems to be out of date : it says in the Troubleshooting category, under "Error loading shared libraries" which is the error ...
1
vote
0answers
262 views

error Failed to load module “overlay-scrollbar”/“unity-gtk-module” on program run

I just installed Ubuntu 15.10 yesterday and when i run a program I got the following errors: error: libgcrypt.so.11: cannot open shared object file: No such file or directory Gtk-Message: Failed to ...
3
votes
1answer
173 views

qt apps stopped inheriting gtk themes

After a fresh installation of Ubuntu Gnome 15.10, qt apps like qpdfview or QuiteRSS suddenly stopped to inherit the global gtk theme, in my case Numix. The same is also true for the default Adwaita ...
0
votes
1answer
65 views

Dpkg broken pipe error when using os.popen in Python [closed]

I'm experimenting with Gtk+ 3 and I'm creating a program which gets the output of the dpkg --get-selections command and displays it into a Gtk+ 3 TextView. When I run my program I get the following ...
0
votes
1answer
238 views

redshift-gtk crashes on start, ImportError: No module named 'xdg' [closed]

I'm getting the following error whenever I try to run redshift-gtk: Traceback (most recent call last): File "/usr/bin/redshift-gtk", line 26, in <module> from redshift_gtk.statusicon ...
1
vote
1answer
95 views

VLC 2.2.1 using Qt dialog

When I upgraded from 15.04 to 15.10, this included a new version of VLC, as well as a newer Qt. VLC now uses the Qt file open dialog, but I want the GTK one back. I have already checked VLC themes and ...
0
votes
0answers
19 views

Can't create any file using gedit [duplicate]

Every time when I am creating any file this message is coming again and again.... Gtk-Message: Failed to load module "overlay-scrollbar" ** (gedit:6374): WARNING **: Couldn't connect to ...
0
votes
1answer
41 views

ubuntu indicator applet that has a dynamic menu item

I'm working on a simple indicator in Ubuntu with python and I want the menuitem to display the return of a function and refresh every "n" second. Here is what I have: def build_menu(): menu = ...
3
votes
0answers
36 views

Why did Canonical choose to use the Qt toolkit for Ubuntu Touch and not Gtk? [duplicate]

I recently came across a question on Quora: What are future plans for Gtk? Is there plan for smartphone or tablet? Gnome focus on touch devices but Gtk software can not run on it? On Quora, ...
0
votes
0answers
180 views

glade import error as a gtk.glade [duplicate]

I am trying to port Python 2 to Python 3, but I am having trouble importing Glade: import gtk.glade ImportError: cannot import name glade, introspection typelib not found Any idea how to fix this? ...
0
votes
1answer
273 views

AttributeError: 'gi.repository.Gtk' object has no attribute 'gdk'

I am porting python 2 to python 3. When running application giving below error: AttributeError: 'gi.repository.Gtk' object has no attribute 'gdk' Any idea to fix this!! Thanks
0
votes
2answers
570 views

python3 is not supporting gtk module

I have Ubuntu 14.04 with python-2.7 and python-3 support. I am porting my python application from python-2.7 to python-3. I have example.py file which is importing below modules. and I ...
1
vote
0answers
38 views

Unwanted super thick borders in Xubuntu 15.10

I have recently updated to Ubuntu (Xubuntu) 15.10. After this update, I see super thick borders around some windows. This seem to plague only Gtk+ applications: Why? Can I fix it? Note: I do not ...
0
votes
1answer
31 views

How to customize windows frames(panels)

I want to learn to customize GTK themes. So far I have managed to learn how to change the background(accent) color, text color etc.. I can change colors by changing the values in the files in ...
0
votes
1answer
133 views

Dark desktop theme with visible text fields [closed]

I think we all like to change a theme for our Linux Desktops, for several years I have tried dozens of theme. I personally prefer dark themes. Unfortunately, many theme that looks nice at a first ...
2
votes
2answers
152 views

How to tweak/customize GTK theme?

I installed Ubuntu with Unity desktop environment and then I installed GTK Theme, which is called Numix Dark. I really like the theme, but I would love to change some colors of the theme. I want to ...
0
votes
1answer
79 views

How to make apps use Unity's scrollbar?

How can I make other apps display the same, slender kind of scrollbar that for example Files (the default file browser for Ubuntu) uses? To be precise I want this scrollbar everywhere, especially in ...
0
votes
1answer
49 views

bfgminer (lxterminal:1024): Gtk-WARNING **: cannot open display:

I'm getting "(lxterminal:1024): Gtk-WARNING **: cannot open display:" error when trying to run bfgminer on startup in the rc.local. If I run rc.local it starts fine so seem to be an issue with the ...
4
votes
2answers
118 views

Documentation for theming of unity-greeter

There are a lot of great gtk-themes out there for unity/gtk. However very few of them do have support for the unity-greeter. I want to work on them however I were not able to find an (official) ...
1
vote
0answers
39 views

find out all available gtk icon sizes

With gtk_icon_size_register () an app can register a new icon size, but how can I find out on the console, which icon sizes exist? I hope to be able to adjust icon-sizes of apps (in xfce4) that don't ...
1
vote
2answers
1k views

Emerald on Ubuntu 15.10

Is anyone else having issues installing emerald on Ubuntu 15.10? Added a few repositories but having trouble finding the packages? Does anyone have any pointers for this?
2
votes
1answer
50 views

GTK+ errors in many operations

When I try skype --secondary, I get: Gtk-Message: Failed to load module "overlay-scrollbar" Gtk-Message: Failed to load module "unity-gtk-module" With sudo nautilus I get: (nautilus:15683): ...
0
votes
0answers
335 views

C++ - How to import GTK+ or Glade libraries to CLion? Ubuntu 15.04

So, I've trying to create a simple GUI code in CLion, but it looks harder than I thought. What I have been doing so far: #include <gtkmm-3.0/gtkmm> CLion can't predict any of the ...
1
vote
1answer
290 views

Gtk-CRTICAL […] errors when starting 'nautilus' or 'evince' from the Terminal

when I am starting evince or nautilus from shell I am receiving those error-messages. Does anyone know how to fix them? I tried to reinstall both programs but the error continues. ...
1
vote
0answers
199 views

Black bars on Eclipse after upgrading to Kubuntu 15.10

I just upgrade my desktop to Kubuntu 15.10 from Kubuntu 15.04, and I bizarre issue started happening in Eclipse. Looks like the divisors on software are black bars, instead of the desktop color for ...
0
votes
1answer
299 views

Ubuntu 15.10 update breaks IBM Notes 9

I upgraded to 15.10 and now Notes won't start (probably because they changed the scrollbar). Gtk-Message: Failed to load module "overlay-scrollbar" Gtk-Message: Failed to load module ...
0
votes
0answers
190 views

GTK+-3.18.x installation on ubuntu

I have installed GTK+3.18.2 along with other dependencies on different directory /opt/apps/major/gtk and so on. The question is when I try to install using apt-get some apps that are looking for ...
0
votes
1answer
48 views

How to use theme as GTK+?

I've just extracted this theme into my ~/.themes folder, but I can only use it as a window theme. It's not showing up in my GTK+ themes list. How can I make it show up as a GTK+ theme as well?
0
votes
0answers
68 views

Compile ATK for arm comes with errors,S.O.S

When I am try to cross compile atk for arm on ubuntu,error happened.I have tested on atk 1.2.4 , atk 1.3.1 and atk 1.26,The error was same,so I think there would be some "problems" on my ...
1
vote
0answers
39 views

Web IDE that has a Linux compiler?

Is there a web IDE that has a Linux compiler (virtual Linux compiler) with Python support? I've created a Python application that uses GTK and Linux modules such as os.system and gtk. I need to ...
3
votes
1answer
235 views

Where are my GTK 3 examples?

I want to create a new GTK theme, so I installed gtk-3-examples so that I could get some template and example files, however now that I have installed it, I have no idea of where the example files are ...
0
votes
0answers
31 views

GTK2 apps unthemed

I'm in Ubuntu 14.04, currently I have the Dark Numix theme but GTK2 apps (I think) like LibreOffice or GIMP doesn't look right: Screenshot: Apps at left are unthemed I have applied it through ...
1
vote
2answers
6k views

Gtk-Message: Failed to load module “pantheon-filechooser-module”

Once upon a time, I've installed Pantheon desktop on Ubuntu 14.04. And then I decided to use vanilla desktop, Unity. So I've removed all things related with Pantheon. I can't remember the exact ...
0
votes
0answers
44 views

How to package a theme?

I've modified a theme (GTK+ Theme, Gnome-shell) and i want to package it, then upload it to a ppa. I tried following this tutorial but with no luck. ...
0
votes
1answer
121 views

error in installing internet explorer using ies4linux on ubuntu 15.04

I'm trying to install internet explorer using ies4linux based on official document. after extracting ies4linux and run it I face a gui which I can select a version of internet explorer but after ...
0
votes
0answers
149 views

Icon theme not changing to Numix Ubuntu 14.04

I'm trying to select Numix Circle Icon theme as well as the GTK Theme. It was working before, but after an update now it won't load. It's selected in Unity Tweak Tool, but won't actually change ...
0
votes
2answers
111 views

Eclipse not run in Lubuntu?

I just installed Lubuntu, I can't run my eclipse, this is the log. Is there any problem with Gnome graphic? !SESSION 2015-09-26 08:15:10.619 ----------------------------------------------- ...
0
votes
2answers
610 views

“No protocol specified , Could not open X display” error when Running bleachbit as root on KDE

I have this error when running bleachbit through sudo or as root: ~$ sudo bleachbit No protocol specified /usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py:57: GtkWarning: could not open ...